package com.ruoyi.system.domain;

import java.util.Date;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 社会组织信息对象 orhon_shzz
 *
 * @author ruoyi
 * @date 2020-07-20
 */
public class OrhonShzz extends com.ruoyi.common.core.domain.BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** null */
    private String id;

    /** 社会组织名称 */
    @com.ruoyi.common.annotation.Excel(name = "社会组织名称")
    private String mc;

    /** 社会组织类型 */
    @com.ruoyi.common.annotation.Excel(name = "社会组织类型")
    private String type;

    /** 所在地 */
    @com.ruoyi.common.annotation.Excel(name = "所在地")
    private String szd;

    /** 资产总额（万元） */
    @com.ruoyi.common.annotation.Excel(name = "资产总额", readConverterExp = "万=元")
    private String zcze;

    /** 从业人员数量（名） */
    @com.ruoyi.common.annotation.Excel(name = "从业人员数量", readConverterExp = "名=")
    private String cyrs;

    /** 社会组织负责人姓名 */
    @com.ruoyi.common.annotation.Excel(name = "社会组织负责人姓名")
    private String shzzxm;

    /** 社会组织负责人电话 */
    @com.ruoyi.common.annotation.Excel(name = "社会组织负责人电话")
    private String shzzdh;

    /** 是否党员 */
    @com.ruoyi.common.annotation.Excel(name = "是否党员")
    private String isdy;

    /** 是否建立工会 */
    @com.ruoyi.common.annotation.Excel(name = "是否建立工会")
    private String isgh;

    /** 是否建立团组织 */
    @com.ruoyi.common.annotation.Excel(name = "是否建立团组织")
    private String istzz;

    /** 党组织类型 */
    @com.ruoyi.common.annotation.Excel(name = "党组织类型")
    private String dzzlx;

    /** 是否有活动阵地 */
    @com.ruoyi.common.annotation.Excel(name = "是否有活动阵地")
    private String ishdzd;

    /** 党组织建立时间 */
    @com.ruoyi.common.annotation.Excel(name = "党组织建立时间", width = 30, dateFormat = "yyyy-MM-dd")
    private java.util.Date dzzjlsj;

    /** 上级党组织 */
    @com.ruoyi.common.annotation.Excel(name = "上级党组织")
    private String sjdzz;

    /** 党组织书记姓名 */
    @com.ruoyi.common.annotation.Excel(name = "党组织书记姓名")
    private String dzzsjxm;

    /** 党组织书记电话 */
    @com.ruoyi.common.annotation.Excel(name = "党组织书记电话")
    private String dzzsjdh;

    /** 登记方式 */
    @com.ruoyi.common.annotation.Excel(name = "登记方式")
    private String djfs;

    /** 区域划分 */
    @com.ruoyi.common.annotation.Excel(name = "区域划分")
    private Long deptId;

    /** 党员数 */
    @com.ruoyi.common.annotation.Excel(name = "党员数")
    private String dys;

    /** 是否建立党组织 */
    @com.ruoyi.common.annotation.Excel(name = "是否建立党组织")
    private String isdzz;

    /** 党建指导员姓名 */
    @com.ruoyi.common.annotation.Excel(name = "党建指导员姓名")
    private String djzdyxm;

    /** 党建指导员电话 */
    @com.ruoyi.common.annotation.Excel(name = "党建指导员电话")
    private String djzdydh;

    /** 未建立党组织原因 */
    @com.ruoyi.common.annotation.Excel(name = "未建立党组织原因")
    private String wjldzzyy;

    /** 集中组建阶段具体集中组建阶段具体集中组建阶段具体措施 */
    @com.ruoyi.common.annotation.Excel(name = "集中组建阶段具体集中组建阶段具体集中组建阶段具体措施")
    private String jzzjjtfs;

    /** 是否双强六好 */
    @com.ruoyi.common.annotation.Excel(name = "是否双强六好")
    private String issqlh;

    public void setId(String id)
    {
        this.id = id;
    }

    public String getId()
    {
        return id;
    }
    public void setMc(String mc)
    {
        this.mc = mc;
    }

    public String getMc()
    {
        return mc;
    }
    public void setType(String type)
    {
        this.type = type;
    }

    public String getType()
    {
        return type;
    }
    public void setSzd(String szd)
    {
        this.szd = szd;
    }

    public String getSzd()
    {
        return szd;
    }
    public void setZcze(String zcze)
    {
        this.zcze = zcze;
    }

    public String getZcze()
    {
        return zcze;
    }
    public void setCyrs(String cyrs)
    {
        this.cyrs = cyrs;
    }

    public String getCyrs()
    {
        return cyrs;
    }
    public void setShzzxm(String shzzxm)
    {
        this.shzzxm = shzzxm;
    }

    public String getShzzxm()
    {
        return shzzxm;
    }
    public void setShzzdh(String shzzdh)
    {
        this.shzzdh = shzzdh;
    }

    public String getShzzdh()
    {
        return shzzdh;
    }
    public void setIsdy(String isdy)
    {
        this.isdy = isdy;
    }

    public String getIsdy()
    {
        return isdy;
    }
    public void setIsgh(String isgh)
    {
        this.isgh = isgh;
    }

    public String getIsgh()
    {
        return isgh;
    }
    public void setIstzz(String istzz)
    {
        this.istzz = istzz;
    }

    public String getIstzz()
    {
        return istzz;
    }
    public void setDzzlx(String dzzlx)
    {
        this.dzzlx = dzzlx;
    }

    public String getDzzlx()
    {
        return dzzlx;
    }
    public void setIshdzd(String ishdzd)
    {
        this.ishdzd = ishdzd;
    }

    public String getIshdzd()
    {
        return ishdzd;
    }
    public void setDzzjlsj(java.util.Date dzzjlsj)
    {
        this.dzzjlsj = dzzjlsj;
    }

    public java.util.Date getDzzjlsj()
    {
        return dzzjlsj;
    }
    public void setSjdzz(String sjdzz)
    {
        this.sjdzz = sjdzz;
    }

    public String getSjdzz()
    {
        return sjdzz;
    }
    public void setDzzsjxm(String dzzsjxm)
    {
        this.dzzsjxm = dzzsjxm;
    }

    public String getDzzsjxm()
    {
        return dzzsjxm;
    }
    public void setDzzsjdh(String dzzsjdh)
    {
        this.dzzsjdh = dzzsjdh;
    }

    public String getDzzsjdh()
    {
        return dzzsjdh;
    }
    public void setDjfs(String djfs)
    {
        this.djfs = djfs;
    }

    public String getDjfs()
    {
        return djfs;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setDys(String dys)
    {
        this.dys = dys;
    }

    public String getDys()
    {
        return dys;
    }
    public void setIsdzz(String isdzz)
    {
        this.isdzz = isdzz;
    }

    public String getIsdzz()
    {
        return isdzz;
    }
    public void setDjzdyxm(String djzdyxm)
    {
        this.djzdyxm = djzdyxm;
    }

    public String getDjzdyxm()
    {
        return djzdyxm;
    }
    public void setDjzdydh(String djzdydh)
    {
        this.djzdydh = djzdydh;
    }

    public String getDjzdydh()
    {
        return djzdydh;
    }
    public void setWjldzzyy(String wjldzzyy)
    {
        this.wjldzzyy = wjldzzyy;
    }

    public String getWjldzzyy()
    {
        return wjldzzyy;
    }
    public void setJzzjjtfs(String jzzjjtfs)
    {
        this.jzzjjtfs = jzzjjtfs;
    }

    public String getJzzjjtfs()
    {
        return jzzjjtfs;
    }
    public void setIssqlh(String issqlh)
    {
        this.issqlh = issqlh;
    }

    public String getIssqlh()
    {
        return issqlh;
    }


    private String nbxh;
    private String djbm;
    private String zzjgdm;
    private String ywmc;
    private String ywzgbm;
    private String yb;
    private String bmdjzh;
    private String zczj;
    private String jgxx;
    private String djsj;
    private String fddbrgzdw;
    private String fddbrzw;
    private String lxr;
    private String dzyj;
    private String zxfzsj;
    private String wz;
    private String gzzxdh;
    private String sfcjnj;
    private String hyfl;
    private String zz;
    private String ywfw;
    private String sqs;
    private String zc;
    private String zxcl;
    private String dzzmc;
    private String dzzsdgx;
    private String hjxx;
    private String dfzh;
    private String fddbr;
    private String ywdy;
    private String jjfzsl;
    private String fzdxsl;
    private String dfsjbz;
    private String nnfzdys;
    private String hdzdmj;
    private String djjf;
    private String sfpdjzdy;
    private String xjpdjg;
    private String jcqk;
    private String dzzbgdz;
    private String lxdhjczh;
    private String dzyx;


    public String getNbxh() {
        return nbxh;
    }

    public void setNbxh(String nbxh) {
        this.nbxh = nbxh;
    }

    public String getDjbm() {
        return djbm;
    }

    public void setDjbm(String djbm) {
        this.djbm = djbm;
    }

    public String getZzjgdm() {
        return zzjgdm;
    }

    public void setZzjgdm(String zzjgdm) {
        this.zzjgdm = zzjgdm;
    }

    public String getYwmc() {
        return ywmc;
    }

    public void setYwmc(String ywmc) {
        this.ywmc = ywmc;
    }

    public String getYwzgbm() {
        return ywzgbm;
    }

    public void setYwzgbm(String ywzgbm) {
        this.ywzgbm = ywzgbm;
    }

    public String getYb() {
        return yb;
    }

    public void setYb(String yb) {
        this.yb = yb;
    }

    public String getBmdjzh() {
        return bmdjzh;
    }

    public void setBmdjzh(String bmdjzh) {
        this.bmdjzh = bmdjzh;
    }

    public String getZczj() {
        return zczj;
    }

    public void setZczj(String zczj) {
        this.zczj = zczj;
    }

    public String getJgxx() {
        return jgxx;
    }

    public void setJgxx(String jgxx) {
        this.jgxx = jgxx;
    }

    public String getDjsj() {
        return djsj;
    }

    public void setDjsj(String djsj) {
        this.djsj = djsj;
    }

    public String getFddbrgzdw() {
        return fddbrgzdw;
    }

    public void setFddbrgzdw(String fddbrgzdw) {
        this.fddbrgzdw = fddbrgzdw;
    }

    public String getFddbrzw() {
        return fddbrzw;
    }

    public void setFddbrzw(String fddbrzw) {
        this.fddbrzw = fddbrzw;
    }

    public String getLxr() {
        return lxr;
    }

    public void setLxr(String lxr) {
        this.lxr = lxr;
    }

    public String getDzyj() {
        return dzyj;
    }

    public void setDzyj(String dzyj) {
        this.dzyj = dzyj;
    }

    public String getZxfzsj() {
        return zxfzsj;
    }

    public void setZxfzsj(String zxfzsj) {
        this.zxfzsj = zxfzsj;
    }

    public String getWz() {
        return wz;
    }

    public void setWz(String wz) {
        this.wz = wz;
    }

    public String getGzzxdh() {
        return gzzxdh;
    }

    public void setGzzxdh(String gzzxdh) {
        this.gzzxdh = gzzxdh;
    }

    public String getSfcjnj() {
        return sfcjnj;
    }

    public void setSfcjnj(String sfcjnj) {
        this.sfcjnj = sfcjnj;
    }

    public String getHyfl() {
        return hyfl;
    }

    public void setHyfl(String hyfl) {
        this.hyfl = hyfl;
    }

    public String getZz() {
        return zz;
    }

    public void setZz(String zz) {
        this.zz = zz;
    }

    public String getYwfw() {
        return ywfw;
    }

    public void setYwfw(String ywfw) {
        this.ywfw = ywfw;
    }

    public String getSqs() {
        return sqs;
    }

    public void setSqs(String sqs) {
        this.sqs = sqs;
    }

    public String getZc() {
        return zc;
    }

    public void setZc(String zc) {
        this.zc = zc;
    }

    public String getZxcl() {
        return zxcl;
    }

    public void setZxcl(String zxcl) {
        this.zxcl = zxcl;
    }

    public String getDzzmc() {
        return dzzmc;
    }

    public void setDzzmc(String dzzmc) {
        this.dzzmc = dzzmc;
    }

    public String getDzzsdgx() {
        return dzzsdgx;
    }

    public void setDzzsdgx(String dzzsdgx) {
        this.dzzsdgx = dzzsdgx;
    }

    public String getHjxx() {
        return hjxx;
    }

    public void setHjxx(String hjxx) {
        this.hjxx = hjxx;
    }

    public String getDfzh() {
        return dfzh;
    }

    public void setDfzh(String dfzh) {
        this.dfzh = dfzh;
    }

    public String getFddbr() {
        return fddbr;
    }

    public void setFddbr(String fddbr) {
        this.fddbr = fddbr;
    }

    public String getYwdy() {
        return ywdy;
    }

    public void setYwdy(String ywdy) {
        this.ywdy = ywdy;
    }

    public String getJjfzsl() {
        return jjfzsl;
    }

    public void setJjfzsl(String jjfzsl) {
        this.jjfzsl = jjfzsl;
    }

    public String getFzdxsl() {
        return fzdxsl;
    }

    public void setFzdxsl(String fzdxsl) {
        this.fzdxsl = fzdxsl;
    }

    public String getDfsjbz() {
        return dfsjbz;
    }

    public void setDfsjbz(String dfsjbz) {
        this.dfsjbz = dfsjbz;
    }

    public String getNnfzdys() {
        return nnfzdys;
    }

    public void setNnfzdys(String nnfzdys) {
        this.nnfzdys = nnfzdys;
    }

    public String getHdzdmj() {
        return hdzdmj;
    }

    public void setHdzdmj(String hdzdmj) {
        this.hdzdmj = hdzdmj;
    }

    public String getDjjf() {
        return djjf;
    }

    public void setDjjf(String djjf) {
        this.djjf = djjf;
    }

    public String getSfpdjzdy() {
        return sfpdjzdy;
    }

    public void setSfpdjzdy(String sfpdjzdy) {
        this.sfpdjzdy = sfpdjzdy;
    }

    public String getXjpdjg() {
        return xjpdjg;
    }

    public void setXjpdjg(String xjpdjg) {
        this.xjpdjg = xjpdjg;
    }

    public String getJcqk() {
        return jcqk;
    }

    public void setJcqk(String jcqk) {
        this.jcqk = jcqk;
    }

    public String getDzzbgdz() {
        return dzzbgdz;
    }

    public void setDzzbgdz(String dzzbgdz) {
        this.dzzbgdz = dzzbgdz;
    }

    public String getLxdhjczh() {
        return lxdhjczh;
    }

    public void setLxdhjczh(String lxdhjczh) {
        this.lxdhjczh = lxdhjczh;
    }

    public String getDzyx() {
        return dzyx;
    }

    public void setDzyx(String dzyx) {
        this.dzyx = dzyx;
    }

    @Override
    public String toString() {
        return new org.apache.commons.lang3.builder.ToStringBuilder(this, org.apache.commons.lang3.builder.ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("mc", getMc())
            .append("type", getType())
            .append("szd", getSzd())
            .append("zcze", getZcze())
            .append("cyrs", getCyrs())
            .append("shzzxm", getShzzxm())
            .append("shzzdh", getShzzdh())
            .append("isdy", getIsdy())
            .append("isgh", getIsgh())
            .append("istzz", getIstzz())
            .append("dzzlx", getDzzlx())
            .append("ishdzd", getIshdzd())
            .append("dzzjlsj", getDzzjlsj())
            .append("sjdzz", getSjdzz())
            .append("dzzsjxm", getDzzsjxm())
            .append("dzzsjdh", getDzzsjdh())
            .append("djfs", getDjfs())
            .append("deptId", getDeptId())
            .append("dys", getDys())
            .append("isdzz", getIsdzz())
            .append("djzdyxm", getDjzdyxm())
            .append("djzdydh", getDjzdydh())
            .append("wjldzzyy", getWjldzzyy())
            .append("jzzjjtfs", getJzzjjtfs())
            .append("issqlh", getIssqlh())
            .toString();
    }
}
